%global pypi_name constantly
%global commitId c8375a7e3431792ea1b1b44678f3f6878d5e8c9a

%global common_description %{expand:
A library that provides symbolic constant support. It includes collections and
constants with text, numeric, and bit flag values. Originally
twisted.python.constants from the Twisted project.}
%global common_summary %{expand: Symbolic constants in Python}

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        15.1.0
Release:        1%{?dist}
Summary:        %{common_summary}

License:        MIT
URL:            https://github.com/twisted/constantly

Source0:        python-constantly-c8375a7e3431792ea1b1b44678f3f6878d5e8c9a.tar.gz

Patch0:         01-patch-version.patch

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
%{common_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        %{common_summary}

%description -n python%{python3_pkgversion}-%{pypi_name}
%{common_description}

%prep
%autosetup -p1 -n python-%{pypi_name}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Feb 07 2023 James Marshall <jamarsha@redhat.com> 15.1.0-1
- Initial release
